﻿var app;
(function (app) {
    var MainController = (function () {
        function MainController($scope, personService) {
            $scope.person = {
                lastName: "",
                firstName: ""
            };
            $scope.populate = function () {
                personService.getPerson().then(function (callback) {
                    $scope.person = callback.data;
                }, function (response) {
                    alert(response.statusText);
                });
            };
        }
        return MainController;
    })();
    app.MainController = MainController;

    var MakeRedDirective = (function () {
        function MakeRedDirective() {
        }
        MakeRedDirective.prototype.link = function (scope, instanceElement, instanceAttributes, controller, transclude) {
            var clickHanlder;
            clickHanlder = function () {
                instanceElement.addClass("red");
            };
            instanceElement.click(clickHanlder);
        };
        return MakeRedDirective;
    })();
    app.MakeRedDirective = MakeRedDirective;

    angular.module("app", ["app.services"]).controller("mainController", [
        "$scope", "personService", function ($scope, personService) {
            return new MainController($scope, personService);
        }]).directive("makeRed", [function () {
            return new MakeRedDirective();
        }]);
})(app || (app = {}));

var app;
(function (app) {
    (function (services) {
        ;

        var PersonService = (function () {
            function PersonService($http) {
                this.$http = $http;
            }
            PersonService.prototype.getPerson = function () {
                return this.$http.get("data.txt");
            };
            return PersonService;
        })();
        services.PersonService = PersonService;
        angular.module("app.services", []).factory("personService", [
            "$http", function ($http) {
                return new PersonService($http);
            }]);
    })(app.services || (app.services = {}));
    var services = app.services;
})(app || (app = {}));
//# sourceMappingURL=app.js.map
