﻿var demo;
(function (demo) {
    var BlahController = (function () {
        function BlahController(personSrv) {
            this.person = {
                name: "John",
                doIt: function () {
                    personSrv.getPerson().success(function (data) {
                        alert(data.name);
                    });
                }
            };
        }
        return BlahController;
    })();
    demo.BlahController = BlahController;

    var PersonService = (function () {
        function PersonService($http) {
            this.$http = $http;
        }
        PersonService.prototype.getPerson = function () {
            return this.$http.get("data.txt");
        };
        return PersonService;
    })();
    demo.PersonService = PersonService;

    var ChangeColorDirective = (function () {
        function ChangeColorDirective() {
        }
        ChangeColorDirective.prototype.link = function (scope, instanceElement, instanceAttributes, controller, transclude) {
            instanceElement.click(function () {
                instanceElement.addClass("red");
            });
        };
        return ChangeColorDirective;
    })();
    demo.ChangeColorDirective = ChangeColorDirective;

    angular.module("app", []).controller("personController", [
        "personSrv", function (personSrv) {
            return new BlahController(personSrv);
        }]).factory("personSrv", [
        "$http", function ($http) {
            return new PersonService($http);
        }]).directive("changeColor", function () {
        return new ChangeColorDirective();
    });
})(demo || (demo = {}));
//# sourceMappingURL=demo.js.map
