﻿module demo {

    export interface IPerson {
        name: string;
        doIt(): void;
    }

    export interface IPersonController {
        person: IPerson;
    }

    export class BlahController implements IPersonController {
        person: IPerson;
        constructor(personSrv: IPersonService) {
            this.person = {
                name: "John",
                doIt(): void {
                    personSrv.getPerson().success((data: IPerson) => {
                        alert(data.name);
                    });
                }
            };
        }
    }

    export interface IPersonService {
        getPerson(): ng.IHttpPromise<IPerson>;
    }

    export class PersonService implements IPersonService {
        getPerson(): ng.IHttpPromise<IPerson> {
            return this.$http.get("data.txt");
        }
        constructor(private $http: ng.IHttpService) {

        }
    }

    export class ChangeColorDirective implements ng.IDirective {
        link
            (scope: ng.IScope,
                instanceElement: ng.IAugmentedJQuery,
                instanceAttributes: ng.IAttributes,
                controller: any,
                transclude: ng.ITranscludeFunction
                ): void {
            instanceElement.click(() => {
                instanceElement.addClass("red");
            });
        }
    }

    angular.module("app", [])
        .controller("personController", ["personSrv", (personSrv: IPersonService) => {
            return new BlahController(personSrv);
        }])
        .factory("personSrv", ["$http", ($http: ng.IHttpService) => {
            return new PersonService($http);
        }])
        .directive("changeColor", () => {
            return new ChangeColorDirective();
        });
}